<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-menu-button></ion-menu-button>
    </ion-buttons>
    <ion-title>ShelfPH.com</ion-title>
    <ion-buttons slot="end">
      <ion-button color="secondary" (click)="refreshBooks()">
        <ion-icon slot="icon-only" name="refresh-outline"></ion-icon>
      </ion-button>
    </ion-buttons>
  </ion-toolbar>
</ion-header>

<ion-content>
  <ion-refresher slot="fixed" (ionRefresh)="getUpdatedBooks($event)">
    <ion-refresher-content
      pullingIcon="chevron-down-circle-outline"
      pullingText="Pull to refresh"
      refreshingSpinner="circles"
      refreshingText="Refreshing..."
    >
    </ion-refresher-content>
  </ion-refresher>
  <div class="grid" *ngIf="showScreen">
    <img
      *ngFor="let book of books"
      routerLink="/library/book-viewer/{{book._id}}"
      [src]="book.cover"
    />
  </div>
</ion-content>
